//
//  MDConfig.h
//  MDPusher
//
//  Created by 张志超 on 2019/6/18.
//  Copyright © 2019 mudu. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef enum {
    Preset640x480,
    Preset960x540,
    Preset1280x720
} ResolutionType;

@interface MDConfig : NSObject

@property (nonatomic, copy) NSString *url;
@property (nonatomic, assign) NSInteger bitRate;
@property (nonatomic, assign) ResolutionType resolution;
@property (nonatomic, assign) NSInteger frameRate;
@property (nonatomic, assign) BOOL portrait;
@property (nonatomic, assign) BOOL frontCamera;
@property (nonatomic, assign, readonly) BOOL flashLightOn;
@property (nonatomic, assign) BOOL beautyOn;
@property (nonatomic, assign) BOOL micOn;

@end

NS_ASSUME_NONNULL_END
